package com.oo.seex.sys_state.state.bean;

/**
 * Created by gyp on 17/7/4.
 * wifi状态
 */

public class WifiState extends BaseState{
    /**
     * 是否连接到热点
     */
    private boolean isConnect;
    /**
     * 热点名称
     */
    private String ssid;
    /**
     * wifi是否打开
     */
    private boolean isOpen;
    /**
     * 信号强度 0-5
     */
    private int strength;

    public boolean isConnect() {
        return isConnect;
    }

    public void setConnect(boolean connect) {
        isConnect = connect;
    }

    public String getSsid() {
        return ssid;
    }

    public void setSsid(String ssid) {
        this.ssid = ssid;
    }

    public boolean isOpen() {
        return isOpen;
    }

    public void setOpen(boolean open) {
        isOpen = open;
    }

    public int getStrength() {
        return strength;
    }

    public void setStrength(int strength) {
        this.strength = strength;
    }


    @Override
    public String toString() {
        return "[WifiState]  isConnect：" + isConnect  + "  ssid:" + ssid  + "  isOpen:" + isOpen  + " strength:"+strength;
    }
}
